Subject: Ticket Assigned - Professional and Cost-effective Translation Agency
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 14 Mar 2021 23:40:48 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Professional and Cost-effective Translation Agency Hello,

I hope my email finds you well. This is Yana. I’m reaching out because I want to provide you excellent language translation service.

As a professional translation & localization company in China, with 19 years of experience and 120+ in-house translators and engineers, we have specialized in languages including Chinese, Japanese, Korean, Thai, German, Spanish, Italian, Finnish, Portuguese, and so on. We have won a good reputation in this field and have been working for Top500 companies such as GE, SIEMENS, and SAMSUNG.

For showing our sincerity, I would like to offer a free test of around 300 words. Any languages any service we are available for. Looking forward to cooperating with your company soon.

Thanks in advance

Yana Huang | Account Manager
EN ISO 17100:2015, EN 15038:2006 Certified
ISO 9001:2008 Certified Language and IT Services provider
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2229786